For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign Up
DocumentationAPI ReferenceSDKs
DocumentationAPI ReferenceSDKs
  • Documents
    • Ingest Documents
    • Ingest Directories
    • POSTcrawl_website
    • GETget_processing_status_by_id
    • GETlist
    • GETget
    • GETlookup
    • DELdelete (singular)
    • DELdelete (multiple)
    • GETget_processes
    • POSTcopy
    • PUTupdate
    • DELcancel_process
    • GETget_extract
    • GETget_xray
  • Search
    • POSTsearch.content
    • POSTsearch.documents
  • Buckets
    • GETlist
    • GETget
    • POSTcreate
    • PUTupdate
    • DELdelete
  • Groups
    • GETlist
    • GETget
    • POSTcreate
    • PUTupdate
    • DELdelete
    • POSTaddBucket
    • DELremoveBucket
  • Workflows
    • GETlist
    • POSTcreate
    • GETget_account
    • POSTadd_to_account
    • DELremove_from_account
    • POSTadd_to_id
    • DELremove_from_id
    • GETget
    • PUTupdate
    • DELdelete
  • Customer
    • GETget
  • API Key
    • GETlist
    • POSTcreate
    • PUTupdate
    • DELdelete
  • Health
    • GETlist
    • GETget
Sign Up
LogoLogo
Groups

get

GET
https://api.groundx.ai/api/v1/group/:groupId
GET
/api/v1/group/:groupId
1from groundx import GroundX
2
3client = GroundX(
4 api_key="YOUR_API_KEY_HERE",
5)
6
7client.groups.get(
8 group_id=1,
9)
1{
2 "group": {
3 "groupId": 1,
4 "buckets": [
5 {
6 "bucketId": 101,
7 "created": "2024-05-15T10:22:45.123Z",
8 "fileCount": 25,
9 "fileSize": "12.4GB",
10 "name": "Marketing Assets",
11 "updated": "2024-06-01T09:15:30.456Z"
12 }
13 ],
14 "created": "2024-05-10T08:00:00.000Z",
15 "fileCount": 25,
16 "fileSize": "12.4GB",
17 "name": "Product Launch Team",
18 "prompt": "Discuss all materials related to the upcoming product launch.",
19 "updated": "2024-06-01T09:15:30.456Z"
20 }
21}
look up a specific group by its groupId.
Was this page helpful?
Previous

create

Next
Built with

Authentication

X-API-Keystring
API Key authentication via header

Path parameters

groupIdintegerRequired
The groupId of the group to look up.

Response

Successful retrieval of group
groupobject

Errors

400
Bad Request Error
401
Unauthorized Error